/**
* 文件：AssetFlowEventLogQuery.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.module.asset.model;
import java.util.List;

/**
 * <p>Title: 资产事件日志</p>
 * <p>Description: AssetFlowEventLogQuery  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
public class AssetFlowEventLogQuery extends AssetFlowEventLogEntity{
	private static final long serialVersionUID = 1609307515918L;
	/** 开始 ID，自增长 */
	private Long idStart;

	/** 结束 ID，自增长 */
	private Long idEnd;

	/** 增加 ID，自增长 */
	private Long idIncrement;

	/** ID，自增长 */
	private List<Long> idList;

	/** 事件Code，关联asset_flow_event表code */
	private List<String> eventCodeList;

	/** 资产码，全局唯一 */
	private List<String> assetNumList;

	/** 开始 事件前资产流转状态，参数配置-AssetFlowStatus */
	private Integer beforeStatusStart;

	/** 结束 事件前资产流转状态，参数配置-AssetFlowStatus */
	private Integer beforeStatusEnd;

	/** 增加 事件前资产流转状态，参数配置-AssetFlowStatus */
	private Integer beforeStatusIncrement;

	/** 事件前资产流转状态，参数配置-AssetFlowStatus */
	private List<Integer> beforeStatusList;

	/** 开始 事件后资产流转状态，参数配置-AssetFlowStatus */
	private Integer afteStatusStart;

	/** 结束 事件后资产流转状态，参数配置-AssetFlowStatus */
	private Integer afteStatusEnd;

	/** 增加 事件后资产流转状态，参数配置-AssetFlowStatus */
	private Integer afteStatusIncrement;

	/** 事件后资产流转状态，参数配置-AssetFlowStatus */
	private List<Integer> afteStatusList;

	/** 开始 事件发生开始时间 */
	private String eventStartTimeStart;

	/** 结束 事件发生开始时间 */
	private String eventStartTimeEnd;

	/** 开始 事件发生时间，结束时间 */
	private String eventTimeStart;

	/** 结束 事件发生时间，结束时间 */
	private String eventTimeEnd;

	/** 事件经手人，登录名 */
	private List<String> eventUserList;

	/** 事件关联人，登录名,多个以逗号分隔 */
	private List<String> eventAfterUserList;

	/** 事件发生地，自动采集到的地址 */
	private List<String> eventAddressList;

	/** 事件关联图像，图片或视频地址，多个以逗号分隔 */
	private List<String> eventImgUrlList;

	/** 事件扩展信息，json串，基于事件扩展属性产生, 参看mortals.xhx.table_ext_field表 */
	private List<String> eventExtInfoList;

	/** 备注 */
	private List<String> remarkList;

	/** 开始 创建时间 */
	private String createTimeStart;

	/** 结束 创建时间 */
	private String createTimeEnd;

	/** 数据展示信息，运维助手回显时通过这个字段来回显(临时） */
	private List<String> showInfoList;

	/** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
	private List<AssetFlowEventLogQuery> orConditionList;

	/** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
	private List<AssetFlowEventLogQuery> andConditionList;


	public AssetFlowEventLogQuery(){
	}
	/**
	 * 获取 开始 ID，自增长
	 * @return idStart
	 */
	public Long getIdStart(){
		return this.idStart;
	}

	/**
	 * 设置 开始 ID，自增长
	 * @param idStart
	 */
	public void setIdStart(Long idStart){
		this.idStart = idStart;
	}

	/**
	 * 获取 结束 ID，自增长
	 * @return idEnd
	 */
	public Long getIdEnd(){
		return this.idEnd;
	}

	/**
	 * 设置 结束 ID，自增长
	 * @param idEnd
	 */
	public void setIdEnd(Long idEnd){
		this.idEnd = idEnd;
	}

	/**
	 * 获取 增加 ID，自增长
	 * @return idIncrement
	 */
	public Long getIdIncrement(){
		return this.idIncrement;
	}

	/**
	 * 设置 增加 ID，自增长
	 * @param idIncrement
	 */
	public void setIdIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
	}

	/**
	 * 获取 ID，自增长
	 * @return idList
	 */
	public List<Long> getIdList(){
		return this.idList;
	}

	/**
	 * 设置 ID，自增长
	 * @param idList
	 */
	public void setIdList(List<Long> idList){
		this.idList = idList;
	}

	/**
	 * 获取 事件Code，关联asset_flow_event表code
	 * @return eventCodeList
	 */
	public List<String> getEventCodeList(){
		return this.eventCodeList;
	}

	/**
	 * 设置 事件Code，关联asset_flow_event表code
	 * @param eventCodeList
	 */
	public void setEventCodeList(List<String> eventCodeList){
		this.eventCodeList = eventCodeList;
	}

	/**
	 * 获取 资产码，全局唯一
	 * @return assetNumList
	 */
	public List<String> getAssetNumList(){
		return this.assetNumList;
	}

	/**
	 * 设置 资产码，全局唯一
	 * @param assetNumList
	 */
	public void setAssetNumList(List<String> assetNumList){
		this.assetNumList = assetNumList;
	}

	/**
	 * 获取 开始 事件前资产流转状态，参数配置-AssetFlowStatus
	 * @return beforeStatusStart
	 */
	public Integer getBeforeStatusStart(){
		return this.beforeStatusStart;
	}

	/**
	 * 设置 开始 事件前资产流转状态，参数配置-AssetFlowStatus
	 * @param beforeStatusStart
	 */
	public void setBeforeStatusStart(Integer beforeStatusStart){
		this.beforeStatusStart = beforeStatusStart;
	}

	/**
	 * 获取 结束 事件前资产流转状态，参数配置-AssetFlowStatus
	 * @return beforeStatusEnd
	 */
	public Integer getBeforeStatusEnd(){
		return this.beforeStatusEnd;
	}

	/**
	 * 设置 结束 事件前资产流转状态，参数配置-AssetFlowStatus
	 * @param beforeStatusEnd
	 */
	public void setBeforeStatusEnd(Integer beforeStatusEnd){
		this.beforeStatusEnd = beforeStatusEnd;
	}

	/**
	 * 获取 增加 事件前资产流转状态，参数配置-AssetFlowStatus
	 * @return beforeStatusIncrement
	 */
	public Integer getBeforeStatusIncrement(){
		return this.beforeStatusIncrement;
	}

	/**
	 * 设置 增加 事件前资产流转状态，参数配置-AssetFlowStatus
	 * @param beforeStatusIncrement
	 */
	public void setBeforeStatusIncrement(Integer beforeStatusIncrement){
		this.beforeStatusIncrement = beforeStatusIncrement;
	}

	/**
	 * 获取 事件前资产流转状态，参数配置-AssetFlowStatus
	 * @return beforeStatusList
	 */
	public List<Integer> getBeforeStatusList(){
		return this.beforeStatusList;
	}

	/**
	 * 设置 事件前资产流转状态，参数配置-AssetFlowStatus
	 * @param beforeStatusList
	 */
	public void setBeforeStatusList(List<Integer> beforeStatusList){
		this.beforeStatusList = beforeStatusList;
	}

	/**
	 * 获取 开始 事件后资产流转状态，参数配置-AssetFlowStatus
	 * @return afteStatusStart
	 */
	public Integer getAfteStatusStart(){
		return this.afteStatusStart;
	}

	/**
	 * 设置 开始 事件后资产流转状态，参数配置-AssetFlowStatus
	 * @param afteStatusStart
	 */
	public void setAfteStatusStart(Integer afteStatusStart){
		this.afteStatusStart = afteStatusStart;
	}

	/**
	 * 获取 结束 事件后资产流转状态，参数配置-AssetFlowStatus
	 * @return afteStatusEnd
	 */
	public Integer getAfteStatusEnd(){
		return this.afteStatusEnd;
	}

	/**
	 * 设置 结束 事件后资产流转状态，参数配置-AssetFlowStatus
	 * @param afteStatusEnd
	 */
	public void setAfteStatusEnd(Integer afteStatusEnd){
		this.afteStatusEnd = afteStatusEnd;
	}

	/**
	 * 获取 增加 事件后资产流转状态，参数配置-AssetFlowStatus
	 * @return afteStatusIncrement
	 */
	public Integer getAfteStatusIncrement(){
		return this.afteStatusIncrement;
	}

	/**
	 * 设置 增加 事件后资产流转状态，参数配置-AssetFlowStatus
	 * @param afteStatusIncrement
	 */
	public void setAfteStatusIncrement(Integer afteStatusIncrement){
		this.afteStatusIncrement = afteStatusIncrement;
	}

	/**
	 * 获取 事件后资产流转状态，参数配置-AssetFlowStatus
	 * @return afteStatusList
	 */
	public List<Integer> getAfteStatusList(){
		return this.afteStatusList;
	}

	/**
	 * 设置 事件后资产流转状态，参数配置-AssetFlowStatus
	 * @param afteStatusList
	 */
	public void setAfteStatusList(List<Integer> afteStatusList){
		this.afteStatusList = afteStatusList;
	}

	/**
	 * 获取 开始 事件发生开始时间
	 * @return eventStartTimeStart
	 */
	public String getEventStartTimeStart(){
		return this.eventStartTimeStart;
	}

	/**
	 * 设置 开始 事件发生开始时间
	 * @param eventStartTimeStart
	 */
	public void setEventStartTimeStart(String eventStartTimeStart){
		this.eventStartTimeStart = eventStartTimeStart;
	}

	/**
	 * 获取 结束 事件发生开始时间
	 * @return eventStartTimeEnd
	 */
	public String getEventStartTimeEnd(){
		return this.eventStartTimeEnd;
	}

	/**
	 * 设置 结束 事件发生开始时间
	 * @param eventStartTimeEnd
	 */
	public void setEventStartTimeEnd(String eventStartTimeEnd){
		this.eventStartTimeEnd = eventStartTimeEnd;
	}

	/**
	 * 获取 开始 事件发生时间，结束时间
	 * @return eventTimeStart
	 */
	public String getEventTimeStart(){
		return this.eventTimeStart;
	}

	/**
	 * 设置 开始 事件发生时间，结束时间
	 * @param eventTimeStart
	 */
	public void setEventTimeStart(String eventTimeStart){
		this.eventTimeStart = eventTimeStart;
	}

	/**
	 * 获取 结束 事件发生时间，结束时间
	 * @return eventTimeEnd
	 */
	public String getEventTimeEnd(){
		return this.eventTimeEnd;
	}

	/**
	 * 设置 结束 事件发生时间，结束时间
	 * @param eventTimeEnd
	 */
	public void setEventTimeEnd(String eventTimeEnd){
		this.eventTimeEnd = eventTimeEnd;
	}

	/**
	 * 获取 事件经手人，登录名
	 * @return eventUserList
	 */
	public List<String> getEventUserList(){
		return this.eventUserList;
	}

	/**
	 * 设置 事件经手人，登录名
	 * @param eventUserList
	 */
	public void setEventUserList(List<String> eventUserList){
		this.eventUserList = eventUserList;
	}

	/**
	 * 获取 事件关联人，登录名,多个以逗号分隔
	 * @return eventAfterUserList
	 */
	public List<String> getEventAfterUserList(){
		return this.eventAfterUserList;
	}

	/**
	 * 设置 事件关联人，登录名,多个以逗号分隔
	 * @param eventAfterUserList
	 */
	public void setEventAfterUserList(List<String> eventAfterUserList){
		this.eventAfterUserList = eventAfterUserList;
	}

	/**
	 * 获取 事件发生地，自动采集到的地址
	 * @return eventAddressList
	 */
	public List<String> getEventAddressList(){
		return this.eventAddressList;
	}

	/**
	 * 设置 事件发生地，自动采集到的地址
	 * @param eventAddressList
	 */
	public void setEventAddressList(List<String> eventAddressList){
		this.eventAddressList = eventAddressList;
	}

	/**
	 * 获取 事件关联图像，图片或视频地址，多个以逗号分隔
	 * @return eventImgUrlList
	 */
	public List<String> getEventImgUrlList(){
		return this.eventImgUrlList;
	}

	/**
	 * 设置 事件关联图像，图片或视频地址，多个以逗号分隔
	 * @param eventImgUrlList
	 */
	public void setEventImgUrlList(List<String> eventImgUrlList){
		this.eventImgUrlList = eventImgUrlList;
	}

	/**
	 * 获取 事件扩展信息，json串，基于事件扩展属性产生, 参看mortals.xhx.table_ext_field表
	 * @return eventExtInfoList
	 */
	public List<String> getEventExtInfoList(){
		return this.eventExtInfoList;
	}

	/**
	 * 设置 事件扩展信息，json串，基于事件扩展属性产生, 参看mortals.xhx.table_ext_field表
	 * @param eventExtInfoList
	 */
	public void setEventExtInfoList(List<String> eventExtInfoList){
		this.eventExtInfoList = eventExtInfoList;
	}

	/**
	 * 获取 备注
	 * @return remarkList
	 */
	public List<String> getRemarkList(){
		return this.remarkList;
	}

	/**
	 * 设置 备注
	 * @param remarkList
	 */
	public void setRemarkList(List<String> remarkList){
		this.remarkList = remarkList;
	}

	/**
	 * 获取 开始 创建时间
	 * @return createTimeStart
	 */
	public String getCreateTimeStart(){
		return this.createTimeStart;
	}

	/**
	 * 设置 开始 创建时间
	 * @param createTimeStart
	 */
	public void setCreateTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
	}

	/**
	 * 获取 结束 创建时间
	 * @return createTimeEnd
	 */
	public String getCreateTimeEnd(){
		return this.createTimeEnd;
	}

	/**
	 * 设置 结束 创建时间
	 * @param createTimeEnd
	 */
	public void setCreateTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
	}

	/**
	 * 获取 数据展示信息，运维助手回显时通过这个字段来回显(临时）
	 * @return showInfoList
	 */
	public List<String> getShowInfoList(){
		return this.showInfoList;
	}

	/**
	 * 设置 数据展示信息，运维助手回显时通过这个字段来回显(临时）
	 * @param showInfoList
	 */
	public void setShowInfoList(List<String> showInfoList){
		this.showInfoList = showInfoList;
	}

	/**
	 * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
	 * @return orConditionList
	 */
	public List<AssetFlowEventLogQuery> getOrConditionList(){
		return this.orConditionList;
	}

	/**
	 * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
	 * @param orConditionList
	 */
	public void setOrConditionList(List<AssetFlowEventLogQuery> orConditionList){
		this.orConditionList = orConditionList;
	}

	/**
	 * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
	 * @return andConditionList
	 */
	public List<AssetFlowEventLogQuery> getAndConditionList(){
		return this.andConditionList;
	}

	/**
	 * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
	 * @param andConditionList
	 */
	public void setAndConditionList(List<AssetFlowEventLogQuery> andConditionList){
		this.andConditionList = andConditionList;
	}


}